# Uses of Enum
org.xnio.FileChangeEvent.Type

Packages that use FileChangeEvent.Type
Package
Description
org.xnio
The main API package for XNIO.

## Uses of FileChangeEvent.Type in org.xnio

Methods in org.xnio that return FileChangeEvent.Type
Modifier and Type
Method
Description
`FileChangeEvent.Type`
FileChangeEvent.`getType()`
Get the type of event.
`static FileChangeEvent.Type`
FileChangeEvent.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileChangeEvent.Type[]`
FileChangeEvent.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.xnio with parameters of type FileChangeEvent.Type
Modifier
Constructor
Description
``
`FileChangeEvent(File file, FileChangeEvent.Type type)`
Construct a new instance.